Package com.sas.lsaf.execution.session

## Enum Session.SessionState

- java.lang.Object
- - java.lang.Enum<Session.SessionState>
  - - com.sas.lsaf.execution.session.Session.SessionState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Session.SessionState>`
  Enclosing class:
    Session

      public static enum Session.SessionState
      extends java.lang.Enum<Session.SessionState>

  The session state enumeration that describes the state of a session.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` | The code is currently executing.
    `BROKEN` | The session is in an invalid state.
    `ENDED` | The session is ended, and not available for code execution.
    `ENDING` | The end session action has been called and is in the process of ending.
    `IDLE` | The session is available for code execution.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Session.SessionState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Session.SessionState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final Session.SessionState IDLE

      The session is available for code execution.

    - #### ACTIVE

          public static final Session.SessionState ACTIVE

      The code is currently executing.

    - #### ENDED

          public static final Session.SessionState ENDED

      The session is ended, and not available for code execution. Session artifacts still exist.

    - #### ENDING

          public static final Session.SessionState ENDING

      The end session action has been called and is in the process of ending.

    - #### BROKEN

          public static final Session.SessionState BROKEN

      The session is in an invalid state. It is not available for code execution. Session artifacts might still exist.

  - ### Method Detail

    - #### values

          public static Session.SessionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.SessionState c : Session.SessionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.SessionState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null